2017-11-21 14:36 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000156Cheat Enginepublic2011-12-30 05:36
Reporterjgoemat 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000156: displayMethod not set for loaded structures
DescriptionThe display method (hex/signed/unsigned) stored in the cheat table and in exported structure definitions are ignored when loaded.



Additional InformationIt is read from the XML, but the element doesn't have the property set, so I think adding one line will fix it in TDissectedStruct.createFromXMLNode:

          se:=addElement(description, offset, vartype, bytesize, childstruct);
          se.setDisplayMethod(displayMethod); // added
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000314

Dark Byte (developer)

fixed in svn
+Notes

-Issue History
Date Modified Username Field Change
2011-12-18 13:08 jgoemat New Issue
2011-12-18 20:10 Dark Byte Status new => confirmed
2011-12-30 05:36 Dark Byte Note Added: 0000314
2011-12-30 05:36 Dark Byte Status confirmed => resolved
2011-12-30 05:36 Dark Byte Resolution open => fixed
2011-12-30 05:36 Dark Byte Assigned To => Dark Byte
+Issue History